Skip to content

Update Pocket Portal

Request

This endpoint updates a portal's name, or closes it by setting its status to CLOSED.

Closing a portal is irreversible; the only accepted value for status is CLOSED.

Returns 204 No Content on success.

Security
CodeBearer(Required scopes: pockets.writepockets.read)
Path
pocket_idstring, (uuid)(Pocket Id)required
portal_idstring, (uuid)(Portal Id)required
Bodyapplication/jsonrequired
namestring or null(Name)
Any of:

Portal name

<= 50 characters
string
statusstring or null(Status)
Any of:

Portal status

string(CLOSED)
curl -i -X PATCH \
  'https://customer-api.sandbox-api.jikoservices.com/api/v2/pockets/{pocket_id}/portals/{portal_id}/' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "status": "CLOSED"
  }'

Responses

Successful Response

Response
No content